Bug 67741 - the gettext binary rpm does not contain files belonging in /usr/lib/ and /usr/lib/gettext
Summary: the gettext binary rpm does not contain files belonging in /usr/lib/ and /usr...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gettext (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-01 13:04 UTC by George Barbarosie
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 13:04:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Barbarosie 2002-07-01 13:04:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
The %files section of the gettext.rpm is incomplete and therefore the files in
/usr/lib are not packaged

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
rpm -ql gettext

Actual Results:  a lot of files and dirs

Expected Results:  that lot of files and dirs plus:
/usr/lib/libgettextlib.a
/usr/lib/libgettextib.la
/usr/lib/libgettextsrc.a
/usr/lib/libgettextsrc.la
/usr/lib/libintl.a
/usr/lib/libintl.la
/usr/lib/gettext/
/usr/lib/gettext/hostname
/usr/lib/gettext/project-id
/usr/lib/gettext/urlget
/usr/lib/gettext/user-email

Additional info:

The library files contained in gettext can be separated into a -devel subpackage?

Anyways, the project-id, hostname and user-email scripts are necessary during
msginit, otherwise you get:

/usr/lib/gettext/project-id: /usr/lib/gettext/project-id: No such file or directory
msginit: /usr/lib/gettext/project-id subprocess I/O error

That means there's no "project-id" script to run (we need to find out what
project and what version we are operating on...)

Further down the road... we'll see that GETTEXTLIBDIR (the ENV var) isn't really
working, but that's for another bug to submit (and certainly it's not
Redhat-specific).

Comment 1 Trond Eivind Glomsrxd 2002-07-03 19:13:56 UTC
Some of these shouldn't be included (glibc contains the routines), while others
(like the file you mentioned) were added in  0.11.2-1


Note You need to log in before you can comment on or make changes to this bug.